Skip to main content
`Ctrl`+`K`

# PetscLogEventActivate

Indicates that a particular event should be logged.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogEventActivate(PetscLogEvent event)

Not Collective

## Input Parameter

- event - The event id

## Example Usage

          PetscLogEventDeactivate(VEC_SetValues);
            [code where you do not want to log VecSetValues()]
          PetscLogEventActivate(VEC_SetValues);
            [code where you do want to log VecSetValues()]

## Note

The event may be either a pre-defined PETSc event (found in include/petsclog.h) or an event number obtained with `PetscLogEventRegister()`.

## See Also

Profiling, `PetscLogEventDeactivate()`, `PetscLogEventDeactivatePush()`, `PetscLogEventDeactivatePop()`

## Level

advanced

## Location

src/sys/logging/plog.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages